AGB  ·  Datenschutz  ·  Impressum  







Anmelden
Nützliche Links
Registrieren

XE7 und Andorid 6 Gerät

Ein Thema von Kralle · begonnen am 16. Apr 2017 · letzter Beitrag vom 20. Apr 2017
Antwort Antwort
Seite 2 von 2     12
Benutzerbild von Bernhard Geyer
Bernhard Geyer

Registriert seit: 13. Aug 2002
16.880 Beiträge
 
Delphi 10.4 Sydney
 
#11

AW: XE7 und Andorid 6 Gerät

  Alt 17. Apr 2017, 09:58
Aber, ist das nicht eigentlich unlogisch?
Macht nicht eigentlich das Android-SDK erst aus dem Firemonkey-Code eine Android-APP?
Müsste es denn nicht eigenlich nur davon abhängen, welches SDK bzw. welchen API-Level man nutzt?
Wenn die APIs zu 100% kompatible wären und sich überhaupt nicht unterscheiden. Dann ja.
Aber sowohl auf API-Seite werden inkompatible Änderungen durchgeführt als auch auf Seit von Delphi wurden Annahmen getroffen die mit neuen SDK-Versionen oder neuen Android-Versionen nicht mehr gültig sind.
Windows Vista - Eine neue Erfahrung in Fehlern.
  Mit Zitat antworten Zitat
Kralle

Registriert seit: 31. Okt 2004
Ort: Bremerhaven
349 Beiträge
 
Delphi XE7 Professional
 
#12

AW: XE7 und Andorid 6 Gerät

  Alt 17. Apr 2017, 10:08
Tja , das war es denn jetzt endgültig für mich und Delphi.
Gerade wegen der Möglichkeit Android-Apps zu erstellen, hatte ich noch mal Geld in die Hand genommen und mir damals XE7 gekauft.
Jetzt werde ich die VM einmotten.

Gruß Heiko
OS: Linux Mint 20 Cinnamon (64-Bit), Windows 10 Professional, Delphi XE7 Pro SP1 +(Mobilpack & FireDAC), Lazarus 2.1 (Freepascal 3.3.1),
  Mit Zitat antworten Zitat
Benutzerbild von himitsu
himitsu

Registriert seit: 11. Okt 2003
Ort: Elbflorenz
38.500 Beiträge
 
Delphi 10.4 Sydney
 
#13

AW: XE7 und Andorid 6 Gerät

  Alt 17. Apr 2017, 10:25
Darum heißt es auch immer, dass man gerade wegen den Mobilen immer die aktuellste Delphi-Version haben soll.

Einzig bei Windows stimmt das so fast, aber obwohl die Programme in alten Windowsen bis XP runter noch laufen, gibt es mit neuen Windowsen und alten Delphis immer mehr probleme, die man dann selber mühsam fixen muß.
Und auch da kommt es vor, dass Delphi neuere APIs verwendet, und es dann in alten Windowsen nicht mehr läuft.
Das aktuelle Delphi unterstützt offiziell nur noch Windows 7 bis 10.


Darum gibt es in Aktuell unterstützte Plattformen die aufklappbaren Unterpunkte Versionen detailliert, wo die Delphi- und OS-Versionen aufgelistet sind.
http://geheimniswelten.de/sonstiges/delphi-compiler/
Das kann man dann zwar mit Handarbeit und eigenen Anpassungen natürlich noch ein bisschen verschieben und bezieht sich nur auf die unveränderten installierten Versionen mit dem jeweils letzten großen offiziellem Update und wenn der Entwickler möglicht keine "seltener" genutzen SystemAPIs verwendet.
Garbage Collector ... Delphianer erzeugen keinen Müll, also brauchen sie auch keinen Müllsucher.
Delphi-Tage 2005-2014

Geändert von himitsu (17. Apr 2017 um 10:31 Uhr)
  Mit Zitat antworten Zitat
zeras

Registriert seit: 11. Mär 2007
Ort: Saalkreis
1.458 Beiträge
 
Delphi 10.4 Sydney
 
#14

AW: XE7 und Andorid 6 Gerät

  Alt 17. Apr 2017, 17:25
Ich habe kein XE7 und kann daher keine derartige APP erzeugen. Wenn du mir aber eine einfache APP fertig machst, dann kann ich diese einmal auf einem meiner Tabletts installieren. Da ist ein Android 4.x drauf.
So können wir sehen, ob die APK überhaupt läuft. Wenn du willst, bitte die APK per PN oder auf einem Server ablegen.
Mit XE5 habe ich dafür jedenfalls meine APP am Laufen gehabt und du hast ja XE7.
Es ist nie falsch das Richtige zu tun!
- Mark Twain
  Mit Zitat antworten Zitat
Benutzerbild von MEissing
MEissing

Registriert seit: 19. Jan 2005
Ort: Egelsbach
1.149 Beiträge
 
Delphi 10.4 Sydney
 
#15

AW: XE7 und Andorid 6 Gerät

  Alt 18. Apr 2017, 09:17
Siehe hier:
http://docwiki.embarcadero.com/Platf...s/en/Main_Page

(Zu beachten ist auch, daß Intel/Atom-CPUs nicht unterstützt werden)
Matthias Eißing
cu://Matthias.Eißing.de [Embarcadero]
Kein Support per PN
  Mit Zitat antworten Zitat
bra

Registriert seit: 20. Jan 2015
710 Beiträge
 
Delphi 10.2 Tokyo Enterprise
 
#16

AW: XE7 und Andorid 6 Gerät

  Alt 20. Apr 2017, 10:24
Oder einfach das probieren:

http://www.delphipraxis.net/1287238-post11.html

Ab Android 4.4 ist meist LibHoudini vorhanden, das ist ein ARM-Emulator. Die meisten ARM-Apps laufen damit.
  Mit Zitat antworten Zitat
Themen-Optionen Thema durchsuchen
Thema durchsuchen:

Erweiterte Suche
Ansicht

Forumregeln

Es ist dir nicht erlaubt, neue Themen zu verfassen.
Es ist dir nicht erlaubt, auf Beiträge zu antworten.
Es ist dir nicht erlaubt, Anhänge hochzuladen.
Es ist dir nicht erlaubt, deine Beiträge zu bearbeiten.

BB-Code ist an.
Smileys sind an.
[IMG] Code ist an.
HTML-Code ist aus.
Trackbacks are an
Pingbacks are an
Refbacks are aus

Gehe zu:

Impressum · AGB · Datenschutz · Nach oben
Alle Zeitangaben in WEZ +2. Es ist jetzt 15:03 Uhr.
Powered by vBulletin® Copyright ©2000 - 2021, Jelsoft Enterprises Ltd.
LinkBacks Enabled by vBSEO © 2011, Crawlability, Inc.
Delphi-PRAXiS (c) 2002 - 2021 by Daniel R. Wolf